#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kio-extras
Summary:	kio-extras
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	d16ed519ecd148253147c4525f1b9d86
URL:		http://www.kde.org/
BuildRequires:	OpenEXR-devel >= 3.0.5
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= 5.4.0
BuildRequires:	Qt5Widgets-devel >= 5.4.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kdsoap-devel >= 1.9.0
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kactivities-devel >= %{kframever}
BuildRequires:	kf5-kactivities-stats-devel >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdnssd-devel >= %{kframever}
BuildRequires:	kf5-kguiaddons-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-solid-devel >= %{kframever}
BuildRequires:	kf5-syntax-highlighting-devel >= %{kframever}
BuildRequires:	libsmbclient-devel
BuildRequires:	libtirpc-devel > 1.3.2
BuildRequires:	ninja
BuildRequires:	phonon-qt5-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kio-extras.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%ghost %{_libdir}/libkioarchive.so.5
%attr(755,root,root) %{_libdir}/libkioarchive.so.5.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/filenamesearchmodule.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/recentdocumentsnotifier.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/smbwatcher.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kfileitemaction/kactivitymanagerd_fileitem_linking_plugin.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/activities.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/archive.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/bookmarks.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/filter.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/fish.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/info.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/man.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/mtp.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/nfs.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/recentdocuments.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/recentlyused.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/sftp.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/smb.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/thumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/kio_filenamesearch.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kiod/kmtpd.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kfileaudiopreview.so
%attr(755,root,root) %{_prefix}/libexec/kf5/smbnotifier
%{_datadir}/config.kcfg/jpegcreatorsettings5.kcfg
%dir %{_datadir}/kio_bookmarks
%{_datadir}/kio_bookmarks/kio_bookmarks.css
%dir %{_datadir}/kio_docfilter
%{_datadir}/kio_docfilter/kio_docfilter.css
%dir %{_datadir}/kio_info
%{_datadir}/kio_info/kde-info2html
%{_datadir}/kio_info/kde-info2html.conf
%dir %{_datadir}/konqueror
%dir %{_datadir}/konqueror/dirtree
%dir %{_datadir}/konqueror/dirtree/remote
%{_datadir}/konqueror/dirtree/remote/mtp-network.desktop
%{_datadir}/konqueror/dirtree/remote/smb-network.desktop
%{_datadir}/kservicetypes5/thumbcreator.desktop
%{_datadir}/qlogging-categories5/kio-extras.categories
%{_datadir}/qlogging-categories5/kio-extras.renamecategories
%{_datadir}/remoteview/mtp-network.desktop
%{_datadir}/remoteview/smb-network.desktop
%{_datadir}/dbus-1/services/org.kde.kmtpd5.service
%{_datadir}/solid/actions/solid_mtp.desktop
%dir %{_libdir}/qt5/plugins/kf5/thumbcreator
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/audiothumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/comicbookthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/cursorthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/djvuthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/ebookthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/exrthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/imagethumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/jpegthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/opendocumentthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/svgthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/textthumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/windowsexethumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/windowsimagethumbnail.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/thumbcreator/kraorathumbnail.so
%{_datadir}/kservices5/directorythumbnail.desktop
%{_datadir}/mime/packages/org.kde.kio.smb.xml
%dir %{_libdir}/qt5/plugins/kf5/kfileitemaction
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kfileitemaction/forgetfileitemaction.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kio/afc.so
%{_datadir}/remoteview/afc-network.desktop
%{_datadir}/solid/actions/solid_afc.desktop


%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/KioArchive
%{_includedir}/KioArchive
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kio-extras.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7c5c80c
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3661f31
- Revert "- updated to 24.01.95"

* Tue Feb 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b1d9d42
- updated to 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7596df0
- updated to 23.08.4

* Thu Nov 30 2023 Jan Rękorajski <baggins@pld-linux.org> d3715ab
- Release 3 (by relup.sh)

* Wed Nov 29 2023 Jan Rękorajski <baggins@pld-linux.org> 4087f9e
- why this stupid build system is complaining about one dep at a time?

* Wed Nov 29 2023 Jan Rękorajski <baggins@pld-linux.org> 3ebbeb2
- more build deps

* Mon Nov 27 2023 Jan Rękorajski <baggins@pld-linux.org> b95d406
- updated deps, rel 2

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9cb843f
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2f2bb8f
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2b80bea
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5d45500
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 89c78c3
- updated to 23.04.3

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ed57c2f
- BR: kf5-kactivities-stats-devel

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5ae5178
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a24c86a
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 22d8f2a
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3616a15
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 74f8691
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d0fad1d
- updated to 22.12.2

